package com.ygtx.gxt.domain;

import com.ygtx.common.core.domain.BaseEntity;

import java.math.BigDecimal;
import java.util.List;

/**
 * 月度统计表对象 gxt_month_score
 * 
 * @author ruoyi
 * @date 2025-11-12
 */
public class GxtMonthScore extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 场站ID */
    private Long deptId;

    private String deptName;

    /** 统计月份 */
    private String monthPeriod;

    /** 状态 */
    private Integer status;

    /** 说明 */
    private String explainCode;

    /** 反馈内容 */
    private String feedbackContent;

    /** 人员ID */
    private Long persionId;

    /** 备注 */
    private String remark;

    private GxtCoefficientScore coefficientScore;

    private List<GxtMonthRuntime> monthRuntimes;

    private List<GxtMonthFanInspection> monthFanInspections;

    private List<GxtMonthRepairProject> monthRepairProjects;

    private List<GxtUserScore> userScores;

    /**
     * 前一步骤状态
     */
    private Integer previousStatus;

    private String statusList;

    private Integer plannedCount;

    private Integer actualCount;

    private BigDecimal groupDeduction;

    private BigDecimal repairOrderCoefficient;

    private BigDecimal workOrderCoefficient;

    private List<GxtWorkOrder> workOrderList;

    private List<GxtRepairOrder> repairOrderList;

    private Long userId;

    private Integer userListSize;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public void setMonthPeriod(String monthPeriod)
    {
        this.monthPeriod = monthPeriod;
    }

    public String getMonthPeriod() 
    {
        return monthPeriod;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }
    public void setExplainCode(String explainCode)
    {
        this.explainCode = explainCode;
    }

    public String getExplainCode()
    {
        return explainCode;
    }
    public void setFeedbackContent(String feedbackContent) 
    {
        this.feedbackContent = feedbackContent;
    }

    public String getFeedbackContent() 
    {
        return feedbackContent;
    }
    public void setPersionId(Long persionId) 
    {
        this.persionId = persionId;
    }

    public Long getPersionId() 
    {
        return persionId;
    }
    public void setRemark(String remark) 
    {
        this.remark = remark;
    }

    public String getRemark() 
    {
        return remark;
    }

    public GxtCoefficientScore getCoefficientScore() {
        return coefficientScore;
    }

    public void setCoefficientScore(GxtCoefficientScore coefficientScore) {
        this.coefficientScore = coefficientScore;
    }

    public List<GxtMonthRuntime> getMonthRuntimes() {
        return monthRuntimes;
    }

    public void setMonthRuntimes(List<GxtMonthRuntime> monthRuntimes) {
        this.monthRuntimes = monthRuntimes;
    }

    public List<GxtMonthFanInspection> getMonthFanInspections() {
        return monthFanInspections;
    }

    public void setMonthFanInspections(List<GxtMonthFanInspection> monthFanInspections) {
        this.monthFanInspections = monthFanInspections;
    }

    public List<GxtMonthRepairProject> getMonthRepairProjects() {
        return monthRepairProjects;
    }

    public void setMonthRepairProjects(List<GxtMonthRepairProject> monthRepairProjects) {
        this.monthRepairProjects = monthRepairProjects;
    }

    public List<GxtUserScore> getUserScores() {
        return userScores;
    }

    public void setUserScores(List<GxtUserScore> userScores) {
        this.userScores = userScores;
    }

    public Integer getPreviousStatus() {
        return previousStatus;
    }

    public void setPreviousStatus(Integer previousStatus) {
        this.previousStatus = previousStatus;
    }

    public String getStatusList() {
        return statusList;
    }

    public void setStatusList(String statusList) {
        this.statusList = statusList;
    }

    public Integer getPlannedCount() {
        return plannedCount;
    }

    public void setPlannedCount(Integer plannedCount) {
        this.plannedCount = plannedCount;
    }

    public Integer getActualCount() {
        return actualCount;
    }

    public void setActualCount(Integer actualCount) {
        this.actualCount = actualCount;
    }

    public BigDecimal getGroupDeduction() {
        return groupDeduction;
    }

    public void setGroupDeduction(BigDecimal groupDeduction) {
        this.groupDeduction = groupDeduction;
    }

    public BigDecimal getRepairOrderCoefficient() {
        return repairOrderCoefficient;
    }

    public void setRepairOrderCoefficient(BigDecimal repairOrderCoefficient) {
        this.repairOrderCoefficient = repairOrderCoefficient;
    }

    public BigDecimal getWorkOrderCoefficient() {
        return workOrderCoefficient;
    }

    public void setWorkOrderCoefficient(BigDecimal workOrderCoefficient) {
        this.workOrderCoefficient = workOrderCoefficient;
    }

    public List<GxtWorkOrder> getWorkOrderList() {
        return workOrderList;
    }

    public void setWorkOrderList(List<GxtWorkOrder> workOrderList) {
        this.workOrderList = workOrderList;
    }

    public List<GxtRepairOrder> getRepairOrderList() {
        return repairOrderList;
    }

    public void setRepairOrderList(List<GxtRepairOrder> repairOrderList) {
        this.repairOrderList = repairOrderList;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Integer getUserListSize() {
        return userListSize;
    }

    public void setUserListSize(Integer userListSize) {
        this.userListSize = userListSize;
    }
}